# pyproject.toml
#
# Project: AutoArchive
# License: GNU GPLv3
#
# Copyright (C) 2003 - 2026 Róbert Čerňanský



[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"



[project]
name = "autoarchive"
authors = [{name = "Róbert Čerňanský", email = "openhs@tightmail.com"}]
description = "A simple backup utility"
readme = "README"
requires-python = ">=3.10"
keywords = ["backup", "archive", "archiving", "compression", "tar"]
license = "GPL-3.0-only"
classifiers = [
        "Programming Language :: Python",
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Information Technology",
        "Intended Audience :: System Administrators",
        "Operating System :: POSIX",
        "Operating System :: Microsoft :: Windows",
        "Topic :: System :: Archiving :: Backup",
        "Topic :: System :: Archiving :: Compression",
        "Topic :: System :: Systems Administration",
        "Topic :: Utilities"
]
dynamic = ["version"]



[project.urls]
Homepage = "https://autoarchive.sourceforge.io"



[project.scripts]
aa = "AutoArchive:Starter.start"
autoarchive = "AutoArchive:Starter.start"



[tool.setuptools]

# to prevent adding test directories to wheel package
include-package-data = false



[tool.setuptools.packages.find]
include = ["AutoArchive*"]
exclude = ["*tests*"]



[tool.setuptools.dynamic]
version = {attr = "AutoArchive.__version__"}
